ClassCodeExpressionTransformer (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.ast

## [Java] Class ClassCodeExpressionTransformer

- org.codehaus.groovy.ast.ClassCodeExpressionTransformer

- All Implemented Interfaces and Traits:
    ExpressionTransformer

      public abstract class ClassCodeExpressionTransformer
      extends ClassCodeVisitorSupport

  Visitor to transform expressions in a whole class. Transformed Expressions are usually not visited.

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Expression` | `transform(Expression exp)`
    `void` | `visitAnnotations(AnnotatedNode node)`
    `void` | `visitAssertStatement(AssertStatement as)`
    `void` | `visitCaseStatement(CaseStatement statement)`
    `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `void` | `visitDoWhileLoop(DoWhileStatement loop)`
    `void` | `visitExpressionStatement(ExpressionStatement es)`
    `void` | `visitField(FieldNode node)`
    `void` | `visitForLoop(ForStatement forLoop)`
    `void` | `visitIfElse(IfStatement ifElse)`
    `void` | `visitProperty(PropertyNode node)`
    `void` | `visitReturnStatement(ReturnStatement statement)`
    `void` | `visitSwitch(SwitchStatement statement)`
    `void` | `visitSynchronizedStatement(SynchronizedStatement sync)`
    `void` | `visitThrowStatement(ThrowStatement ts)`
    `void` | `visitWhileLoop(WhileStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Expression transform(Expression exp)

    - #### public void visitAnnotations(AnnotatedNode node)

    - #### public void visitAssertStatement(AssertStatement as)

    - #### public void visitCaseStatement(CaseStatement statement)

    - #### protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### public void visitDoWhileLoop(DoWhileStatement loop)

    - #### public void visitExpressionStatement(ExpressionStatement es)

    - #### public void visitField(FieldNode node)

    - #### public void visitForLoop(ForStatement forLoop)

    - #### public void visitIfElse(IfStatement ifElse)

    - #### public void visitProperty(PropertyNode node)

    - #### public void visitReturnStatement(ReturnStatement statement)

    - #### public void visitSwitch(SwitchStatement statement)

    - #### public void visitSynchronizedStatement(SynchronizedStatement sync)

    - #### public void visitThrowStatement(ThrowStatement ts)

    - #### public void visitWhileLoop(WhileStatement loop)